import { Modal, ModalService } from '@zeedhi/common';

export class OperationalResultModalController {
  private operationalResultModal!: Modal;

  public async createOperationalResultModal() {
    this.operationalResultModal = await ModalService.createFromJson('/modals/operationalResultModal', true);
  }

  public destroyOperationalResultModal() {
    this.operationalResultModal?.destroy();
  }

  public openOperationalResultModal() {
    this.operationalResultModal.show();
  }

  public closeOperationalResultModal() {
    this.operationalResultModal.hide();
  }
}
